[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TControlScrollBar.ControlSize

Returns the size for the associated control.

## Declaration

Source position: forms.pp line 152

`public function TControlScrollBar.ControlSize: Integer;`

## Function result

Size for the associated control.

## Description

ControlSize is an Integer function used to get the size for the associated control in the class instance. Uses the value in Kind to determine the control property used as the return value. When Kind is sbVertical, the Width for the associated Control is used. When Kind is sbHorizontal, the Height for the associated Control is used.

## See also

TControlScrollBar.Kind |  | The orientation for the scroll bar: horizontal or vertical.
TControlScrollBar.Create |  | Constructor for the class instance.
TScrollBarKind |  | The orientation of a scroll bar.